Package org.eclipse.birt.chart.device

# Class FontUtil

java.lang.Object
org.eclipse.birt.chart.device.FontUtil

public final class FontUtil extends Object
Font utility class.

Since:
  2.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FONT_FAMILY_ARIAL`
`static final String`
`FONT_FAMILY_COMIC_SANS_MS`
`static final String`
`FONT_FAMILY_COURIER_NEW`
`static final String`
`FONT_FAMILY_IMPACT`
`static final String`
`FONT_FAMILY_TIMES_NEW_ROMAN`
`static final String`
`LOGIC_FONT_FAMILY_CURSIVE`
`static final String`
`LOGIC_FONT_FAMILY_FANTASY`
`static final String`
`LOGIC_FONT_FAMILY_MONOSPACE`
`static final String`
`LOGIC_FONT_FAMILY_SANS_SERIF`
`static final String`
`LOGIC_FONT_FAMILY_SERIF`

## Constructor Summary

Constructors
Constructor
Description
`FontUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getFontFamily(String fontFamily)`
Returns the final font family name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOGIC_FONT_FAMILY_SERIF

public static final String LOGIC_FONT_FAMILY_SERIF

See Also:
  - Constant Field Values

### LOGIC_FONT_FAMILY_SANS_SERIF

public static final String LOGIC_FONT_FAMILY_SANS_SERIF

See Also:
  - Constant Field Values

### LOGIC_FONT_FAMILY_CURSIVE

public static final String LOGIC_FONT_FAMILY_CURSIVE

See Also:
  - Constant Field Values

### LOGIC_FONT_FAMILY_FANTASY

public static final String LOGIC_FONT_FAMILY_FANTASY

See Also:
  - Constant Field Values

### LOGIC_FONT_FAMILY_MONOSPACE

public static final String LOGIC_FONT_FAMILY_MONOSPACE

See Also:
  - Constant Field Values

### FONT_FAMILY_COURIER_NEW

public static final String FONT_FAMILY_COURIER_NEW

See Also:
  - Constant Field Values

### FONT_FAMILY_IMPACT

public static final String FONT_FAMILY_IMPACT

See Also:
  - Constant Field Values

### FONT_FAMILY_COMIC_SANS_MS

public static final String FONT_FAMILY_COMIC_SANS_MS

See Also:
  - Constant Field Values

### FONT_FAMILY_ARIAL

public static final String FONT_FAMILY_ARIAL

See Also:
  - Constant Field Values

### FONT_FAMILY_TIMES_NEW_ROMAN

public static final String FONT_FAMILY_TIMES_NEW_ROMAN

See Also:
  - Constant Field Values

## Constructor Details

### FontUtil

public FontUtil()

## Method Details

### getFontFamily

public static String getFontFamily(String fontFamily)
Returns the final font family name.

Parameters:
  `fontFamily` - specified font family name.
Returns:
  actually font family name.